// ***************************************************************
//  sequence   date: 04/10/2007
//  -------------------------------------------------------------
//  Programmer(s): Seth A. Robinson (seth@rtsoft.com)
//  -------------------------------------------------------------
//  Copyright (C) 2007 - Robinson Technologies
// ***************************************************************

#ifndef sequence_h__
#define sequence_h__

#include "main.h"

class Sequence
{
public:

	Sequence(string input, string output);

	bool Process();
	
private:

	void BuildInputFileList();
	void FindSmallestEnclosingRect();
	void WriteCroppedImages();

	string m_input, m_output;
	string m_inputDir;
	string m_outputDir;

	vector<string> m_fileArray;
	CL_Rect m_originalRect;
	CL_Rect m_enclosingRect;
};

#endif // sequence_h__