//  ***************************************************************
//  single - Creation date: 12/20/2007
//  -------------------------------------------------------------
//  Copyright (C) 2007 - Robinson Technologies
//
//  ***************************************************************
//  Programmer(s):  Seth A. Robinson (seth@rtsoft.com)
//  ***************************************************************

// License - zlib style, do whatever you want


#ifndef single_h__
#define single_h__

#include "main.h"

class Single
{
public:
	Single(string input, string output);
	virtual ~Single();
	bool Process();
protected:
	
	string m_input, m_output;

	void BuildInputFileList();
	void Optimize(string fName);
	string m_inputDir;
	string m_outputDir;

	vector<string> m_fileArray;
	CL_Rect m_originalRect;
	CL_Rect m_enclosingRect;
private:
};

#endif // single_h__